
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define    _SYMBOL_STRINGS_
#include "pl0scan.h"

#define UNKNOWN_SYMBOL 254


SCAN * scan( SCAN * inp )
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
{
   int pos, newpos;
   char ch;

   scan_initauto( inp,
                  "(*", "*)",  // start/end of comment block (nested)
                  "//",        // start of comment until end of line
                  charsym,     // 1-char symbols
                  optab,       // multi-char operators
                  keytab,      // keywords, alphabetically sorted
                  0, 0,        // if != 0: automatic char literal handling
                  0, 0,        // if != 0: automatic string literal handling
                  0,           // feature flags
                  0,           // flags for char and string literals // escape_...
                  NUMBER       // number symbol
  );


   // scanning
   pos = 0;
   while( pos <= maxpos(inp) )
   {
      newpos = scan_auto( inp, pos );
      if( newpos == pos )
      {
         // user symbol. we don't care, and call this char 'UNKNOWN_SYMBOL'
         putsym( inp, pos, UNKNOWN_SYMBOL );
         strlenat(inp,pos) = 1;
         newpos = posinc(inp,pos,1);
      }
      pos = newpos;
   }
   return inp;
}


int wordsymbol( SCAN * inp, int pos )
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
{
   return IDENT;
}


char * prusersymat( SCAN * inp, int pos )
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
{
   return strf( "%.*s", nstrat(inp,pos) );
}


char * prusertermsym( int symbol )
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
{
   if( symbol == IDENT)
      return "identifier";
   else
      return "???";
}


