/*
   xbnfgen version 0.6  Copyright (C) 2007-2014 Frank Reglin

   xbnfgen is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   xbnfgen is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with xbnfgen; see the file COPYING.
*/

/* just for testing the output of
   xbnfgen xbnf.xbnf >xbnfparse.c
*/

#include <stdio.h>
#include <stdlib.h>

#include "xbnfscan.h"

#include "xbnfparse.c"


int main( int argc, char * argv[] )
/* ---------------------------------------------------------------- */
{
SCAN * inp;

   init();
   if( argc != 2 )
   {
      printf( "USAGE: xbnparse XBNFfile\n" );
      exit( 1 );
   }

   inp = screadfile( argv[1] );
   if( inp )
      inp = scan( inp );
   if( inp )
   {
      _language( inp, nextsym(inp,0) );
   }
   else
      MFATAL( "scan errors in", argv[1] );

   exit( 0 );
}


