#ifndef _XBNFSCAN_H
#define _XBNFSCAN_H
/*
   xbnfgen version 0.6  Copyright (C) 2007-2014 Frank Reglin

   xbnfgen is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   xbnfgen is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with xbnfgen; see the file COPYING.
*/

/* xbnfscan.h
   xbnf scanner
   see xbnf.xbnf
*/

#include "scan.h"

/*
   LOWID    :  lower case letter, followed by letters ...
   TERMINAL :  upper case letter, followed by letters  or
               "something"
*/

/* attributed symbols: */ /* att is ...                      */
#define LOWID    3   /*    length of identifier              */
#define TERMINAL 4   /*    pointer to STRING                 */

/* single char symbols:
   these are defined as the ASCII code of there chars -
   ==> do not use symbol codes from 32..127 for
   other symbols !                                    */
#define LPAREN         '('
#define RPAREN         ')'
#define LBRACK         '['
#define RBRACK         ']'
#define LBRACE         '{'
#define RBRACE         '}'
#define LT             '<'
#define GT             '>'
#define DOT            '.'
#define EQ             '='
#define BAR            '|'
#define MINUS          '-'

#endif /* _XBNFSCAN_H */

