#include <stdio.h>
#include <stdlib.h>

#include "notesscan.h"

#include "tst_notesparse.c"


int main( int argc, char * argv[] )
/* ---------------------------------------------------------------- */
{
SCAN * inp;

   init();
   if( argc != 2 )
   {
      printf( "USAGE: %s notes\n", argv[0] );
      exit( 1 );
   }

   inp = screadfile( argv[1] );
   if( inp )
      inp = scan( inp );
   if( inp )
   {
      _noteslist( inp, nextsym(inp,0) );
   }
   else
      MFATAL( "scan errors in", argv[1] );

   exit( 0 );
}


