#ifndef _PORT_H
#define _PORT_H

/* port.h (fr) 2007
   portability stuff
*/

#ifdef WINDOWS
#include <direct.h>
#include <io.h>
#define DIRSEP  '\\'
#define open  _open
#define close _close
#define read  _read
#define filelength _filelength
#endif

#ifdef LINUX
#include <unistd.h>
#define O_BINARY 0
#define DIRSEP  '/'
#define stricmp strcasecmp
#endif


#endif /* _PORT_H */

