#ifndef _SUTIL_H
#define _SUTIL_H
/*
   xbnfgen version 0.6  Copyright (C) 2007-2014 Frank Reglin

   xbnfgen is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   xbnfgen is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with xbnfgen; see the file COPYING.
*/


#define arraysize(a) (sizeof(a)/sizeof((a)[1]))


char * itoa( int val, char * str, int radix );

char * strupr( char * s );

char * strlwr( char * s );

char * strf( char * format, ... );
/* like printf - but
   to a static buffer which is returned */

char * strfalloc( char * format, ... );
/* like strf - but allocates a new buffer */

long filelength( int fh );

#endif /* _SUTIL_H */
